> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1occurrence



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json post /api/v1/Occurrence
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Occurrence:
    post:
      tags:
        - Occurrence
      operationId: Occurrence_Get
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOccurrencesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOccurrencesResult'
components:
  schemas:
    GetOccurrencesRequest:
      type: object
      additionalProperties: false
      required:
        - Ids
        - Start
        - End
      properties:
        Ids:
          type: array
          maxItems: 100
          minItems: 1
          items:
            type: string
            format: guid
        Start:
          type: string
          format: date-time
          minLength: 1
        End:
          type: string
          format: date-time
          minLength: 1
        IncludeDeleted:
          type: boolean
    GetOccurrencesResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Result:
              type: array
              items:
                $ref: '#/components/schemas/OccurrenceResult'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    OccurrenceResult:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Occurrences:
          type: array
          items:
            $ref: '#/components/schemas/Occurrence'
    Occurrence:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: string
          format: date-time
        End:
          type: string
          format: date-time
        RecurrenceId:
          type: string
          format: guid
          nullable: true
        Deleted:
          type: boolean
        Exception:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RecurrenceException'
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        RecurrenceId:
          type: string
          format: guid
        OriginalTime:
          type: string
          format: date-time
        IsDeleted:
          type: boolean
        NewStart:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newstarttime instead
          nullable: true
        NewEnd:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newendtime instead
          nullable: true
        NewStartTime:
          type: string
          format: date-time
          nullable: true
        NewEndTime:
          type: string
          format: date-time
          nullable: true

````